use std::collections::HashMap;

use proto::{prop_value, PropValue};

pub type PropValueMap = HashMap<u32, PropValue>;

pub fn append_int_prop_value(map: &mut PropValueMap, ty: u32, ival: i64) {
    map.insert(
        ty,
        PropValue {
            r#type: ty,
            val: ival,
            value: Some(prop_value::Value::Ival(ival)),
        },
    );
}
